Subject: RE: bug#11395: 24.0.96; Sporadic crashing

From: Richard Stanton <[email-masked]>
Date: Fri, 4 May 2012 21:21:16 -0700

It does look rather similar, but (I should have mentioned this earlier) the two crashes referred to below were actually *after* I started using my own compiled version.

> -----Original Message-----
> From: Chong Yidong [mailto:[email-masked]]
> Sent: Friday, May 04, 2012 9:17 PM
> To: Richard Stanton
> Cc: [email-masked]
> Subject: Re: bug#11395: 24.0.96; Sporadic crashing
> 
> Richard Stanton <[email-masked]> writes:
> 
> > I've just been able to get Emacs to crash twice in the last few
> > minutes by repeatedly pressing C-c C-e p in an org buffer to get it to
> > re-export as a LaTeX file and export to PDF (where it should then
> > automatically be displayed in an already open instance of Skim). This
> > works usually, but sometimes, instead, Skim disappears from view, and
> > then Emacs crashes, either vanishing completely or showing me an
> > infinite rotating ball.
> 
> Hi Richard,
> 
> Glenn Morris just pointed out another bug report with similar circumstances
> to yours:
> 
>  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11257
> 
> The reporter of that bug experienced crashes with an Emacs precompiled on
> Mac OS 10.6.8, running on 10.7.3.  After compiling himself, the crashes went
> away.
> 
> So it's possible that there's some binary incompatibility between the two
> Mac OS versions, or that whoever's making the precompiled version is
> screwing up.  So could you try compiling Emacs yourself and seeing if the
> problem goes away?
> 
> Thanks.